
# react-native-prdc-react-sdk

## Getting started

`$ npm install react-native-prdc-react-sdk --save`

### Mostly automatic installation

`$ react-native link react-native-prdc-react-sdk`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-prdc-react-sdk` and add `RNPrdcReactSdk.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNPrdcReactSdk.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNPrdcReactSdkPackage;` to the imports at the top of the file
  - Add `new RNPrdcReactSdkPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-prdc-react-sdk'
  	project(':react-native-prdc-react-sdk').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-prdc-react-sdk/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-prdc-react-sdk')
  	```


## Usage
```javascript
import RNPrdcReactSdk from 'react-native-prdc-react-sdk';

// TODO: What to do with the module?
RNPrdcReactSdk;
```
  